=== drivers/Makefile ===

all: thinkpad.o smapi.o superio.o rtcmosram.o

include ../Makefile_common

CFLAGS := -I$(DIR_KERNEL)/include -I../include -Wall -Wcast-align -Wstrict-prototypes -DLINUX

MODCFLAGS := $(CFLAGS) -O -DMODULE -D__KERNEL__


thinkpad.o: thinkpad.c ../include/thinkpad_common.h ../include/thinkpad_mod_defines.h ../include/thinkpad.h
	$(CC) $(MODCFLAGS) -o $@ -c thinkpad.c

smapi.o: smapi_core.o smapi_call.o
	ld -r $^ -o $@ 

smapi_core.o: smapi_core.c ../include/thinkpad_common.h ../include/thinkpad_mod_defines.h ../include/smapi.h ../include/smapi_call.h
	$(CC) $(MODCFLAGS) -o $@ -c smapi_core.c

smapi_call.o: smapi_call.s
	$(CC) $(MODCFLAGS) -o $@ -c smapi_call.s

superio.o: superio.c ../include/thinkpad_common.h ../include/thinkpad_mod_defines.h ../include/superio.h
	$(CC) $(MODCFLAGS) -o $@ -c superio.c

rtcmosram.o: rtcmosram.c ../include/thinkpad_common.h ../include/thinkpad_mod_defines.h ../include/rtcmosram.h
	$(CC) $(MODCFLAGS) -o $@ -c rtcmosram.c

clean:
	rm -vf *.o
