=== lib/Makefile ===

all: libsmapidev.so

include ../Makefile_common

CFLAGS := -I$(DIR_KERNEL)/include -I../include -Wall -Wcast-align -Wstrict-prototypes -DLINUX
#-DDEBUG_REGS
#-DDEBUG_STRUCT_SIZES -DDEBUG_FILEOPS -DDEBUG_IOPARM


libsmapidev.so: smapidev.o
	ld -shared -o libsmapidev-$(VER_TPCTL).so smapidev.o
	ln -sf libsmapidev-$(VER_TPCTL).so libsmapidev.so

smapidev.o: smapidev.c ../include/thinkpad_common.h ../include/thinkpad.h ../include/smapi.h ../include/smapidev.h
	$(CC) $(CFLAGS) -o $@ -c smapidev.c

clean:
	rm -vf *.o *.so
