=== other_tools/tpctlir/Makefile ===
all: tpctlir

include ../../Makefile_common

CFLAGS := -I$(DIR_KERNEL)/include -Wall -Wcast-align -Wstrict-prototypes -O2 -DLINUX


tpctlir: tpctlir.c
	$(CC) $(CFLAGS) -o tpctlir tpctlir.c

clean:
	rm -vf tpctlir core *.o

install:
	install -m 755 -o 0 -g 0 tpctlir $(DIR_SBIN)/tpctlir

uninstall:
	rm -vf $(DIR_SBIN)/tpctlir
