=== other_tools/ubswap/Makefile ===

all: hdparm

include ../../Makefile_common

CFLAGS := -I$(DIR_KERNEL)/include -O2 -Wall -Wcast-align -Wstrict-prototypes -DLINUX
 
hdparm: hdparm.c 
	$(CC) $(CFLAGS) -s -o hdparm hdparm.c
 
install: all 
	if [ -f /sbin/hdparm ]; then mv -fv /sbin/hdparm /sbin/hdparm-old ; fi 
	if [ -f /usr/sbin/hdparm ]; then mv -fv /usr/sbin/hdparm /usr/sbin/hdparm-old ; fi 
	if [ -f /usr/local/bin/hdparm ]; then mv -fv /usr/local/bin/hdparm /usr/local/bin/hdparm-old ; fi 
	if [ -f /usr/local/sbin/hdparm ]; then mv -fv /usr/local/sbin/hdparm /usr/local/sbin/hdparm-old ; fi 
	if [ -f /usr/local/sbin/idectl ]; then rm -fv /usr/local/sbin/idectl ; fi
	if [ -f /usr/local/sbin/ultrabayd ]; then rm -fv /usr/local/sbin/ultrabayd ; fi
	install -m 755 -o root -g root hdparm /sbin
	install -m 755 -o root -g root idectl $(DIR_SBIN)
	install -m 755 -o root -g root ultrabayd $(DIR_SBIN)

uninstall:
	rm -vf /sbin/hdparm
	rm -vf $(DIR_SBIN)/idectl
	rm -vf $(DIR_SBIN)/ultrabayd

clean:
	rm -vf hdparm core *.o
