=== lib/Makefile ===

all: libsmapidev.so

VER_SMAPIDEV=1.0

CFLAGS := -I/usr/include -I../include -Wall -Wcast-align -Wstrict-prototypes -O2 -fPIC -DLINUX
#-DDEBUG_REGS
#-DDEBUG_STRUCT_SIZES -DDEBUG_FILEOPS -DDEBUG_IOPARM

libsmapidev.so: smapidev.o
	ld -shared -lc -soname libsmapidev.so.1 -o libsmapidev.so.$(VER_SMAPIDEV) smapidev.o
	ln -sf libsmapidev.so.$(VER_SMAPIDEV) libsmapidev.so.1
	ln -sf libsmapidev.so.1 libsmapidev.so

smapidev.o: smapidev.c ../include/thinkpad_common.h ../include/thinkpad.h ../include/smapi.h ../include/smapidev.h
	$(CC) $(CFLAGS) -o $@ -c smapidev.c

clean:
	rm -vf *.o *.so*
