=== ntpctl/Makefile ===

all: ntpctl

CFLAGS := -L../lib -I../include -Wall -Wcast-align -Wstrict-prototypes -DLINUX -O2

ntpctl: ntpctl.o event_cond.o pointing_device.o timer.o ../lib/libsmapidev.so.1
	$(CC) $(CFLAGS) -o $@ ntpctl.o event_cond.o pointing_device.o timer.o -lmenu -lncurses -lsmapidev

event_cond.o: event_cond.c ntpctl.h ../include/thinkpad_common.h ../include/smapi.h
	$(CC) $(CFLAGS) -o $@ -c event_cond.c

pointing_device.o: pointing_device.c ntpctl.h
	$(CC) $(CFLAGS) -o $@ -c pointing_device.c

timer.o: timer.c ntpctl.h
	$(CC) $(CFLAGS) -o $@ -c timer.c

ntpctl.o: ntpctl.c ntpctl.h
	$(CC) $(CFLAGS) -o $@ -c ntpctl.c

clean:
	rm -vf ntpctl core *.o
