=== tpctl/Makefile ===

all: tpctl

CFLAGS := -L../lib -I../include -Wall -Wcast-align -Wstrict-prototypes -O2 -Wno-uninitialized -DLINUX
#-DTP570_KLUDGE
#-DALLOW_POWEROFF
#-DDEBUG_REGS -DDEBUG_STRUCT_SIZES -DDEBUG_FILEOPS -DDEBUG_IOPARM

tpctl: tpctl.o ../lib/libsmapidev.so.1
	$(CC) $(CFLAGS) -o $@ tpctl.o -lncurses -lsmapidev

tpctl.o: tpctl.c ../include/thinkpad_common.h ../include/thinkpad.h ../include/smapi.h ../include/superio.h ../include/rtcmosram.h ../include/smapidev.h
	$(CC) $(CFLAGS) -o $@ -c tpctl.c

clean:
	rm -vf tpctl core *.o
