=== tpctlir/Makefile ===
all: tpctlir

CFLAGS := -I$(DIR_KERNEL)/include -Wall -Wcast-align -Wstrict-prototypes -O -DLINUX

DIR_SBIN=/usr/sbin
DIR_MAN=/usr/share/man

tpctlir: tpctlir.c
	$(CC) $(CFLAGS) -o tpctlir tpctlir.c

clean:
	rm -vf tpctlir core *.o

install: uninstall install_binaries install_man

install_binaries:
	install -m 755 -o 0 -g 0 tpctlir $(DIR_SBIN)/tpctlir

install_man:
	install -m 644 -o 0 -g 0 tpctlir.8 $(DIR_MAN)/man8/tpctlir.8

uninstall:
	rm -vf $(DIR_SBIN)/tpctlir
	rm -vf $(DIR_MAN)/man1/tpctlir.1
	rm -vf $(DIR_MAN)/man8/tpctlir.8
