## tpctl 4.8

=== Makefile ===

all: 
	make -C lib
	make -C tpctl
	make -C ntpctl

VER_RELEASE:=4.8
VER_SMAPIDEV:=2.0

PATH_SBIN:=/usr/sbin/
PATH_BIN:=/usr/bin/
PATH_LIB:=/usr/lib/
PATH_MAN:=/usr/share/man/
PATH_TMP:=/tmp/
DIR_SRC:=tpctl-$(VER_RELEASE)/
FILE_TARBALL:=tpctl_$(VER_RELEASE).tar.gz

install: uninstall install_libraries install_binaries install_man

install_libraries:
	if [ ! -d $(DEST)$(PATH_LIB) ]; then mkdir -p -m 755 $(DEST)$(PATH_LIB) ; fi
	install -m 755 -o 0 -g 0 lib/libsmapidev.so.$(VER_SMAPIDEV) $(DEST)$(PATH_LIB)
	ln -sf libsmapidev.so.$(VER_SMAPIDEV) $(DEST)$(PATH_LIB)libsmapidev.so.2

install_binaries:
	if [ ! -d $(DEST)$(PATH_BIN) ]; then mkdir -p -m 755 $(DEST)$(PATH_BIN) ; fi
	install -m 755 -o 0 -g 0 tpctl/tpctl $(DEST)$(PATH_BIN)tpctl
	install -m 755 -o 0 -g 0 ntpctl/ntpctl $(DEST)$(PATH_BIN)ntpctl
	if [ -e tpctlir/tpctlir ]; then install -m 755 -o 0 -g 0 tpctlir/tpctlir $(DEST)$(PATH_SBIN)tpctlir ; fi
	if [ ! -d $(DEST)$(PATH_SBIN) ]; then mkdir -p -m 755 $(DEST)$(PATH_SBIN) ; fi
	install -m 755 -o 0 -g 0 apmiser/apmiser $(DEST)$(PATH_SBIN)apmiser

install_man:
	if [ ! -d $(DEST)$(PATH_MAN)man1 ]; then mkdir -p -m 755 $(DEST)$(PATH_MAN)man1 ; fi
	install -m 644 -o 0 -g 0 man/tpctl.1 $(DEST)$(PATH_MAN)man1/tpctl.1
	install -m 644 -o 0 -g 0 man/ntpctl.1 $(DEST)$(PATH_MAN)man1/ntpctl.1

uninstall: uninstall_libraries uninstall_binaries uninstall_man

uninstall_libraries:
	rm -vf $(DEST)$(PATH_LIB)libsmapidev.so*

uninstall_binaries:
	rm -vf $(DEST)$(PATH_BIN)tpctl
	rm -vf $(DEST)$(PATH_BIN)ntpctl
	rm -vf $(DEST)$(PATH_SBIN)tpctlir
	rm -vf $(DEST)$(PATH_SBIN)apmiser

uninstall_man:
	rm -vf $(DEST)$(PATH_MAN)man1/tpctl.1
	rm -vf $(DEST)$(PATH_MAN)man1/ntpctl.1

depend:

kdist_clean: clean

clean:
	@for dir in lib tpctl ntpctl ; do make -C $$dir clean ; done
	@echo Cleaning complete.

tarball: clean
	debian/rules clean
	rm -vrf $(PATH_TMP)$(DIR_SRC)
	mkdir $(PATH_TMP)$(DIR_SRC)
	cp -vLprf AUTHORS COPYING README TROUBLESHOOTING VGA-MODES SUPPORTED-MODELS ChangeLog Makefile tpctl.spec lib tpctl ntpctl include tpctlir apmiser man debian $(PATH_TMP)$(DIR_SRC)
	chown -R root:root $(PATH_TMP)$(DIR_SRC)
	rm -vf $(PATH_TMP)$(FILE_TARBALL)
	sh -c "cd $(PATH_TMP) ; /bin/tar -zcvf $(FILE_TARBALL) $(DIR_SRC)"
	@echo Tarball $(PATH_TMP)$(FILE_TARBALL) has been created.
	rm -rf $(PATH_TMP)$(DIR_SRC)

deb:
	debian/rules clean
	debian/rules binary
