=== lib/Makefile ===

all: libsmapidev.so

VER_SMAPIDEV:=2.0

CFLAGS:=-Wall -Wcast-align -Wstrict-prototypes -O2
#-DDEBUG_REGS
#-DDEBUG_STRUCT_SIZES -DDEBUG_FILEOPS -DDEBUG_IOPARM

ALLCFLAGS:=$(CFLAGS) -I../include -fPIC -DLINUX

libsmapidev.so: smapidev.o
	ld -shared -lc -soname libsmapidev.so.2 -o libsmapidev.so.$(VER_SMAPIDEV) smapidev.o
	ln -sf libsmapidev.so.$(VER_SMAPIDEV) libsmapidev.so.2
	ln -sf libsmapidev.so.2 libsmapidev.so

smapidev.o: smapidev.c ../include/thinkpad_common.h ../include/thinkpad.h ../include/smapi.h ../include/smapidev.h
	$(CC) $(ALLCFLAGS) -o $@ -c smapidev.c

clean:
	rm -vf *.o *.so*
