=== ntpctl/Makefile ===

all: ntpctl

CFLAGS:=-Wall -Wcast-align -Wstrict-prototypes -O2

ALLCFLAGS:=$(CFLAGS) -L../lib -I../include -DLINUX

ntpctl: ntpctl.o event_cond.o pointing_device.o timer.o ../lib/libsmapidev.so.2
	$(CC) $(ALLCFLAGS) -o $@ ntpctl.o event_cond.o pointing_device.o timer.o -lmenu -lncurses -lsmapidev

event_cond.o: event_cond.c ntpctl.h ../include/thinkpad_common.h ../include/smapi.h
	$(CC) $(ALLCFLAGS) -o $@ -c event_cond.c

pointing_device.o: pointing_device.c ntpctl.h
	$(CC) $(ALLCFLAGS) -o $@ -c pointing_device.c

timer.o: timer.c ntpctl.h
	$(CC) $(ALLCFLAGS) -o $@ -c timer.c

ntpctl.o: ntpctl.c ntpctl.h
	$(CC) $(ALLCFLAGS) -o $@ -c ntpctl.c

clean:
	rm -vf ntpctl core *.o
