=== tpctlir/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 all: tpctlir
 
-CFLAGS := -I$(DIR_KERNEL)/include -Wall -Wcast-align -Wstrict-prototypes -O -DLINUX
+CFLAGS:=-Wall -Wcast-align -Wstrict-prototypes -O2
+
+ALLCFLAGS:=$(CFLAGS) -I$(DIR_KERNEL)/include -DLINUX
 
 DIR_SBIN=/usr/sbin
 DIR_MAN=/usr/share/man
