=== debian/changelog ===
tpctl (4.8-1) unstable; urgency=low

  * Tweak tpctl initscript to allow different forms of "yes"
  * Source confmodule in postinst

 -- Thomas Hood <jdthood@yahoo.co.uk>  Fri,  3 Oct 2003 20:39:03 +0200

tpctl (4.7-1) unstable; urgency=low

  * debian/po/nl.po:
    * Add  (Closes: #206514).  Met dank aan cobaco.
  * debian/postinst:
    * try-restart apmiser on upgrade
  * debian/rules:
    * Make use of dh_installinit's new --name option.
      Thanks to Joey Hess for implementing this.
  * debian/control:
    * Build-Depend on debhelper 4.1.68 because of above
    * Standards-Version: 3.6.1  (No changes required)
  * /etc/init.d/tpctl:
    * Create to control sedate-on-lid-closure -- disable it during
      boot and shutdown sequences.  (Closes: #206084)
      Thanks to Andrew Lau for this idea.
  * /etc/default/tpctl:
    * Create to control initscript
  * /usr/sbin/apmiser:
    * Make more intelligent.  New options have been added.
      See the upstream ChangeLog for more details.
      Thanks to wayne schlitt for this work.
  * /etc/init.d/apmiser:
    * Take advantage of the fact that apmiser now generates a pidfile
    * Improve messages and error handling
    * Add "try-restart" option for use by postinst
  * /etc/apm/event.d/apmiser:
    * Create
  * /etc/default/apmiser:
    * Create to control initscript and apm event script
  * apmiser/README
    * Update

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun, 10 Aug 2003 14:49:33 -0400

tpctl (4.6-1) unstable; urgency=low

  * New upstream with only minor changes
  * Standardized debian copyright file
  * debian/control
    * Standards-Version: 3.6.0  (No changes required)
    * Recommend thinkpad-source (>= 4.0) and thinkpad4-modules
  * Gettextize Debian template.  (Closes: #200553)
    Merci  Michel Grentzinger.
  * Ajouter debian/po/fr.po  (Closes: #200900)
  * Only install apmiser stop rcsymlinks in rc0 and rc6 .
    Now that we use the dh_installinit --start option, invoke-rc.d is
    not called in the postinst, so we do not need to install stop
    rcsymlinks in every runlevel to prevent invoke-rc.d from improperly
    starting apmiser.  (We don't want to start apmiser automatically.
    We leave it up to the administrator to start it manually or to set
    up start rcsymlinks.)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Wed,  9 Jul 2003 08:28:35 +0200

tpctl (4.5-1) unstable; urgency=low

  * New upstream

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sat, 10 May 2003 14:09:16 +0200

tpctl (4.4-1) unstable; urgency=low

  * New upstream
  * Update standards version to 3.5.9:
    * In initscript restart, don't make start dependent on successful
      stop, as per policy.
  * Remove shlibs.local
  * /etc/init.d/apmiser:
    * Print error messages on stderr
    * Exitstatus 3 if arg not recognized

 -- Thomas Hood <jdthood@yahoo.co.uk>  Mon,  7 Apr 2003 21:15:48 +0200

tpctl (4.2-1) unstable; urgency=medium

  * New upstream apmiser.
    Thanks to Dirk Husemann for improving the apmiser script
  * Update description in control file (... mention "IBM" in
    the synopsis and say who should install this package).
  * Add shlibs.local so that we depend on libc6 (>= 2.2.5-11.2)
    and libncurses5 (>= 5.2.20020112a-7), i.e., the woody versions:
        libc 6 libc6 (>= 2.2.5-11.2)
        libncurses 5 libncurses5 (>= 5.2.20020112a-7)
        libmenu 5 libncurses5 (>= 5.2.20020112a-7)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Fri, 17 Jan 2003 10:32:35 +0100

tpctl (4.1-1) unstable; urgency=low

  * Standards-Version: 3.5.8
  * To make linda happy:
      #!/bin/sh -e  =>  #!/bin/sh\nset -e

 -- Thomas Hood <jdthood@yahoo.co.uk>  Wed, 20 Nov 2002 12:00:00 +0100

tpctl (4.0-1) unstable; urgency=high

  * New upstream.  See upstream ChangeLog.
  * Stop apmiser in runlevel 1 (as well as in 0 and 2-6).
  * No --no-restart-on-upgrade option for dh_installinit.
    This switch merely results in the apmiser daemon not being
    stopped in prerm before upgrade.  What we really want is
    the new dh_installinit --no-start option, so ...
  * Add --no-start option to dh_installinit
  * Standards-Version: 3.5.7
  * Use dh_installdebconf before dh_installinit and dh_makeshlibs.
    This ensures that the debconf bit comes before the others in
    the postrm.  Since the debconf bit calls the postrm again,
    it should be the first bit, otherwise the other parts of the
    postrm get executed twice.
  * tpctl now depends on thinkpad-base version 4.0 or later.
    Also add "-V 'tpctl (>= 4.0)'" to dh_makeshlibs.
    This is because we now ship libsmapidev as version 2, in agreement
    with its internal version number.
  * Add "-l$(DEB)/usr/lib" to dh_shlibdeps.  This eliminates a
    warning message from dpkg-shlibdeps that libsmapidev.so.2 cannot
    be found

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sat, 5 Nov 2002 18:00:00 +0200

tpctl (3.7-1) unstable; urgency=low

  * New upstream (with updated docs, added /etc/init.d/apmiser, tweaked
    apmiser and debconf templates)
  * Reword note about thinkpad-modules-x.y.z
  * Add /etc/init.d/apmiser (Closes: #137308) and debconf note to that effect
  * By default, do not start apmiser in any runlevel; but stop apmiser
    on shutdown, so that the machine will boot next time at full speed
  * debian/rules cleanup
  * Add Spanish translation of notes to debconf templates
    -- Thanks to Daniel H. Perez!

 -- Thomas Hood <jdthood@yahoo.co.uk>  Thu, 10 Aug 2002 12:00:00 -0400

tpctl (3.4-1) unstable; urgency=medium

  * Add debconf note about getting a thinkpad-modules-x.y.z package

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun, 21 Apr 2002 11:00:24 -0400

tpctl (3.3-1) unstable; urgency=medium

  * New upstream
  * Depend on thinkpad-base to make sure that modutils and
    devfs configuration files are available, even if tpctl
    is used with old tpctl-modules-x.y.z packages.
    See bug report #140664.

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun, 31 Mar 2002 07:37:54 -0500

tpctl (3.2-4) unstable; urgency=low


