=== debian/control ===
Source: tpctl
Section: utils
Priority: extra
Maintainer: Thomas Hood <jdthood@yahoo.co.uk>
Build-Depends: debhelper (>= 4.1.68), libncurses5-dev
Standards-Version: 3.6.1.0

Package: tpctl
Architecture: i386
Depends: thinkpad-base (>= 4.0), ${shlibs:Depends}, ${misc:Depends}
Recommends: thinkpad-source (>= 4.0), thinkpad4-modules
Description: IBM ThinkPad hardware configuration tools
 This package contains the ThinkPad Configuration Tools for Linux --
 programs for configuring hardware components in IBM ThinkPad laptop
 computers.  Install this package if and only if your system is an
 IBM ThinkPad.
 .
 The main tpctl program, along with its ncurses variant ntpctl, does
 under Linux some of the things that PS2.EXE does under DOS and the
 ThinkPad Configuration program does under Windows.  The apmiser
 daemon is an intelligent power expenditure controller.
 .
 The programs in the package require some thinkpad driver modules
 package, version 4.0 or later, compatible with the kernel you are
 running.  If there is no such package in the Debian archive, you
 can build one from the thinkpad-source package using the make-kpkg
 utility.  See the README in the thinkpad-base package for more
 information.
 .
 Ideally tpctl would Depend on the thinkpad4-modules virtual package
 and not just Recommend it, because tpctl does need thinkpad driver
 modules in order to do anything useful.  However, because there are
 currently no driver modules packages in the Debian archive, such a
 dependency would make tpctl "uninstallable".  Instead, tpctl
 Depends on thinkpad-base.
