=== debian/rules ===
#!/usr/bin/make -f

# To configure in Dutch: LANGUAGE=nl.ISO-8859-15 sudo dpkg-reconfigure tpctl

# This script uses debhelper by Joey Hess
# Portions grabbed from device3dfx-source Copyright (C) 1999 Steve Haslam
export DH_VERBOSE=1
export DH_COMPAT=4
# enables magic below
export DH_OPTIONS

DESTDIR=debian/tpctl
DOC=$(DESTDIR)/usr/share/doc/tpctl

clean:
	dh_testdir
	dh_testroot
	rm -f debian/shlibs
	-$(MAKE) -i clean
#	cd tpctlir && $(MAKE) clean
	dh_clean

build:
	dh_testdir
	$(MAKE)
#	cd tpctlir && $(MAKE)

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/bin usr/sbin usr/lib etc/default etc/apm/event.d
	install -p -m 755 tpctl/tpctl ntpctl/ntpctl $(DESTDIR)/usr/bin
	install -p -m 755 apmiser/apmiser $(DESTDIR)/usr/sbin
	# .so.x.y is file; .so.x is symlink; .so is symlink in -dev package
	cp -a lib/libsmapidev.so.?.? $(DESTDIR)/usr/lib
	cp -a lib/libsmapidev.so.? $(DESTDIR)/usr/lib
	# Run dh_installdebconf before dh_installinit because the former
	# sources confmodule which restarts the script.
	dh_installdebconf
	# By default do not start apmiser in any runlevel.
	# (Admin can change this later if he or she wishes.)
	dh_installinit --name=tpctl -- start 99 1 2 3 4 5 . stop 01 0 6 .
	dh_installinit --name=apmiser --no-start -- stop 10 0 6 .
	install -p -m 755 debian/tpctl.apmiser.apm-event $(DESTDIR)/etc/apm/event.d/apmiser
	dh_installdocs AUTHORS README TROUBLESHOOTING VGA-MODES
	#	cp tpctlir/tpctlir $(DESTDIR)/usr/sbin
	#	cp tpctlir/README $(DOC)/README.tpctlir
	install -p -m 644 apmiser/README $(DOC)/README.apmiser
	dh_installman man/tpctl.1 man/ntpctl.1 man/apmiser.8
	dh_installchangelogs ChangeLog
	dh_makeshlibs -V 'tpctl (>= 4.0-1)'
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -l$(DESTDIR)/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
