=== lib/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 VER_SMAPIDEV:=2.0
 
-CFLAGS:=-Wall -Wcast-align -Wstrict-prototypes -O2
+CFLAGS:=-Wall -Wcast-align -Wstrict-prototypes -O2 -g
 #-DDEBUG_REGS
 #-DDEBUG_STRUCT_SIZES -DDEBUG_FILEOPS -DDEBUG_IOPARM
