=== ntpctl/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 all: ntpctl
 
-CFLAGS:=-Wall -Wcast-align -Wstrict-prototypes -O2
+CFLAGS:=-Wall -Wcast-align -Wstrict-prototypes -O2 -g
 
 ALLCFLAGS:=$(CFLAGS) -L../lib -I../include -DLINUX
