=== tpctl/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 all: tpctl
 
-CFLAGS:=-Wall -Wcast-align -Wstrict-prototypes -Wno-uninitialized -O2
+CFLAGS:=-Wall -Wcast-align -Wstrict-prototypes -Wno-uninitialized -O2 -g
 #-DTP570_KLUDGE
 #-DALLOW_POWEROFF
 #-DDEBUG_REGS -DDEBUG_STRUCT_SIZES -DDEBUG_FILEOPS -DDEBUG_IOPARM
