=== tpctlir/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 all: tpctlir
 
-CFLAGS:=-Wall -Wcast-align -Wstrict-prototypes -O2
+CFLAGS:=-Wall -Wcast-align -Wstrict-prototypes -O2 -g
 
 ALLCFLAGS:=$(CFLAGS) -I$(DIR_KERNEL)/include -DLINUX
